SyncML XML Assembler
libsyncml API

Interfaces to assemble syncml messages. More...

Collaboration diagram for SyncML XML Assembler:

## Functions

SmlBool | smlLocationAssemble (SmlLocation *location, SmlXmlAssembler *assm, const char *name, SmlError **error)
SmlBool | smlAnchorAssemble (SmlAnchor *anchor, SmlXmlAssembler *assm, SmlError **error)
SmlBool | smlItemAssemble (SmlItem *item, SmlXmlAssembler *assm, SmlError **error)
SmlBool | smlCredAssemble (SmlCred *cred, SmlXmlAssembler *assm, SmlError **error)
SmlBool | smlAccessAssemble (SmlXmlAssembler *assm, SmlCommand *change, SmlError **error)
SmlBool | smlChangeAssemble (SmlXmlAssembler *assm, SmlCommand *change, SmlError **error)
SmlBool | smlSyncAssemble (SmlXmlAssembler *assm, SmlCommand *cmd, SmlError **error)
SmlBool | smlMapItemAssemble (SmlXmlAssembler *assm, SmlMapItem *item, SmlError **error)
SmlBool | smlMapAssemble (SmlXmlAssembler *assm, SmlCommand *cmd, SmlError **error)
SmlBool | smlAlertAssemble (SmlXmlAssembler *assm, SmlCommand *cmd, SmlError **error)
SmlBool | smlResultsAssemble (SmlXmlAssembler *assm, SmlCommand *cmd, SmlError **error)
SmlBool | smlXmlAssemblerAddHeader (SmlXmlAssembler *assm, SmlSession *session, SmlError **error)
SmlBool | smlXmlAssemblerStartCommand (SmlXmlAssembler *assm, unsigned int parentID, SmlCommand *cmd, SmlError **error)
SmlBool | smlXmlAssemblerEndCommand (SmlXmlAssembler *assm, unsigned int parentID, SmlError **error)
SmlBool | smlXmlAssemblerRemCommand (SmlXmlAssembler *assm, unsigned int parentID, SmlError **error)
SmlBool | smlXmlAssemblerRemStatus (SmlXmlAssembler *assm, SmlError **error)
SmlBool | smlXmlAssemblerReserveStatus (SmlXmlAssembler *assm, unsigned int cmdRef, unsigned int msgRef, unsigned int cmdID, SmlError **error)
SmlBool | smlXmlAssemblerAddStatus (SmlXmlAssembler *assm, SmlStatus *status, SmlError **error)
SmlBool | smlXmlAssemblerMissingStatus (SmlXmlAssembler *assm)
void | smlXmlAssemblerFree (SmlXmlAssembler *assm)
unsigned int | smlXmlAssemblerFlush (SmlXmlAssembler *assm)
SmlBool | smlXmlAssemblerStart (SmlXmlAssembler *assm, SmlSession *session, SmlError **error)
SmlBool | smlXmlAssemblerEnd (SmlXmlAssembler *assm, SmlError **error)
SmlBool | smlXmlAssemblerAddChildren (SmlXmlAssembler *assm, GList *b, SmlError **error)
SmlBool | smlXmlAssemblerRunFull (SmlXmlAssembler *assm, char **data, unsigned int *size, SmlBool *end, SmlBool final, SmlBool check, unsigned int maxsize, SmlError **error)
SmlBool | smlXmlAssemblerRun (SmlXmlAssembler *assm, char **data, unsigned int *size, SmlBool *end, SmlBool final, unsigned int maxsize, SmlError **error)
unsigned int | smlXmlAssemblerCheckSize (SmlXmlAssembler *assm, SmlBool headeronly, SmlError **error)
SmlBool | smlXmlAssemblerNextCmdRef (SmlXmlAssembler *assm, unsigned int *cmdRef, unsigned int *msgRef)
SmlXmlAssembler * | smlXmlAssemblerNew (SmlAssembler *assembler, SmlAssemblerFunctions *functions, SmlError **error)
| Creates a new XML assembler. More...
SmlBool | smlXmlDevInfAssemble (SmlDevInf *devinf, SmlDevInfVersion version, char **data, unsigned int *size, SmlError **error)
void | smlXmlAssemblerRestoreCommands (SmlXmlAssembler *assm)

## Detailed Description

Interfaces to assemble syncml messages.

## Function Documentation

SmlXmlAssembler* smlXmlAssemblerNew | ( | SmlAssembler * | assembler,
|  | SmlAssemblerFunctions * | functions,
|  | SmlError ** | error
| ) |  |

Creates a new XML assembler.

Parameters

  session | The session for which to create the assembler
  error | A pointer to an error struct

Returns
  The new assembler or NULL in the case of an error

Definition at line 1978 of file sml_xml_assm.c.

Referenced by smlAssemblerNew().

Here is the call graph for this function: